Bug 1121826 - [A-MQ]Can't create A-MQ app due to syntax error in control script
Summary: [A-MQ]Can't create A-MQ app due to syntax error in control script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Kurt T Stam
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 02:46 UTC by xjia
Modified: 2016-10-28 13:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 13:54:41 UTC


Attachments (Terms of Use)

Description xjia 2014-07-22 02:46:39 UTC
Description of problem:
Create A-MQ app. it shows error message:

/var/lib/openshift/53ce02d33ed95638b400002b/jboss-amq/bin/control: line 86: syntax error near unexpected token `else'
/var/lib/openshift/53ce02d33ed95638b400002b/jboss-amq/bin/control: line 86: `    else'

Check the code, it lacks "then" in /usr/libexec/openshift/cartridges/amq/bin/control#72
 71 function stop() {
 72     if [ -f $AMQ_PID_FILE ];
 73         PID=`cat $AMQ_PID_FILE | grep "item.0.pid" | awk -F " = " '{print $2}'`

Patch:
 71 function stop() {
 72     if [ -f $AMQ_PID_FILE ]; then
 73         PID=`cat $AMQ_PID_FILE | grep "item.0.pid" | awk -F " = " '{print $2}'`

Version-Release number of selected component (if applicable):
devenv_4988
openshift-origin-cartridge-amq-6.1.0.redhat.387-1.el6op.noarch.rpm

Steps to Reproduce:
1. rhc app create amq fusesource-jboss-amq-6.1.0

Actual results:
[root@ip-10-5-170-3 ~]# rhc app create amq fuses
Using fusesource-jboss-amq-6.1.0 (JBoss AMQ 6.1.0 EA) for 'fuses'

Application Options
-------------------
Domain:     fuse
Cartridges: fusesource-jboss-amq-6.1.0
Gear Size:  default
Scaling:    no

Creating application 'amq' ... 
Failed to execute: 'control start' for /var/lib/openshift/53ce02d33ed95638b400002b/jboss-amq
/var/lib/openshift/53ce02d33ed95638b400002b/jboss-amq/bin/control: line 86: syntax error near unexpected token `else'
/var/lib/openshift/53ce02d33ed95638b400002b/jboss-amq/bin/control: line 86: `    else'


Expected results:
Success

Comment 3 xjia 2014-07-22 05:31:31 UTC
for the new version:openshift-origin-cartridge-amq-6.1.0.redhat.387-3.el6op.noarch.rpm, this bug is fixed.

Could you move this bug "ON_QA"? Thanks.

Comment 4 Aileen 2014-07-22 12:07:45 UTC
Is this the one you already fixed yesterday?

Comment 5 Jonathan Anstey 2014-07-22 12:29:41 UTC
Yeah, this will be fixed in the next RPM build.

Comment 6 xjia 2014-07-28 11:43:21 UTC
Version:
openshift-origin-cartridge-amq-6.1.0.redhat.387-4.el6op.noarch.rpm

Verify:
[root@broker ~]# rhc app create amq1 jboss-amq
Using jboss-amq-6.1.0 (JBoss AMQ 6.1.0 EA) for 'jboss-amq'

Application Options
-------------------
Domain:     jia
Cartridges: jboss-amq-6.1.0
Gear Size:  default
Scaling:    no

Creating application 'amq1' ... done

  Setting up JBoss AMQ
Generating password
AMQ created successfully.  Please make note of these credentials:

   Console URL:        http://amq1-jia.fuse.com
   Console User:       admin
   Console Password:   hngnTb4PVfsc

SSL self signed certificate: 
-----BEGIN CERTIFICATE-----
MIIE1zCCAr+gAwIBAgIERGTwEjANBgkqhkiG9w0BAQsFADAcMRowGAYDVQQDExFhbXExLWppYS5m
dXNlLmNvbTAeFw0xNDA3MjgxMDUyMDZaFw0yNDA3MjUxMDUyMDZaMBwxGjAYBgNVBAMTEWFtcTEt
amlhLmZ1c2UuY29tMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAwrmKLvaFO02iU06R
ZlAWoVg+ftlI/yorcjHmzaDnrfHCzCFyZmRXKDjEcPzyQV/+shAlsHMAvhDxQ2oWa772hl2u5V34
9UnbPX4LTOEHuSbBHa7+W0Ixtp6+eggq3g0or+Q8OTdlYQYKjQh6V5vchQZkhFij44hA2KKhMky6
KAJiG8JOC1yeWPgD3nKtgPWaP9MfpqAaXcy4n1glTEWdwumASNIHLakGC5n50yOx7OJN357qDar9
JWG97ZdCcAOhaOBChsdIW9+TrhRYRsOe94Wsmf9lJVVL5TM8FEBjUwnhUL5Vd42UU6SAOcmDqATQ
EEK35wsoLh+VR7xZYR6oQvsWH5qD0AXil8LF8ScWFgnhjyk/U7bWWnf5trYjAaaUbUCWJ+28fDrB
0jsnqpaUOgm+mjWZnhO19IQRFa2s6wzXjHqxSJxdeC7D8p2A4ho5KLIdcLyKoMoWBA7drQSi21tF
GTCjFmIQBoH3M21oC3MmgKQcmQAfQfIKc1TgcP3l9tKe0L7bgL8sPus/FwSljRj7XTCpiFmGHNNN
tg0E2GGWexp8cc+YDlMPgRCs6ytdIl2H5XFUTd3FYCng6R9YdKzYuo/khnYDAYEoq4c3+HJHosK2
HKNpgwnbFtqE/I7P52+1x3cqHhO77lBuD1j3Bzjdu6ncr6lSnuOcp6megaMCAwEAAaMhMB8wHQYD
VR0OBBYEFJUUNvTNFJcpg2p87bmucdHLudbYMA0GCSqGSIb3DQEBCwUAA4ICAQC4WIeuM2BxIrVA
c9zr+6krmtNVXjheu1lfD5+f3SaAnOr5rralYmCMSFhQJZx/+ERl+XxVz5goTRHpbSULiyet+pEs
jfnMlY047XUQJpBnMkilL2hqEL7K2Lb/IcPjS/O0ujIclAbmNV327CPxg61wROe7DTYgAD71DDfK
hHvFz/+iWf0aPJtOZZ0TPfjAYidhSfBVMmHq/9CfIiU0WMc9A/8mit5IwMuXgUqUqghRWbH/iK/T
TNB1co+mEsuZMC/nlV0AGNcPsVf4ig9nSujON7cjAi+P8CWnQcA4aVqWk98oReN9I4T+bX5m6KOo
J8+8Xk3WEqnPgxGgsPYLiE0x7Pt5TRpoHP/SeZhNX6DfwNI0dCD/Snwhzy1FMFNjHg49q2gRNUMv
qz1qpVKCEkH+1eS40Lf4/PeSxKdqtQI0ADXekhQ2I0kpg3gQkw+jVdSbvsdBAVKFaJydwDjHKrLI
1Q4us98HnDqRS8RbcvnWemzijdTA1xqa+u89nyk46G0p1xfI8O93AryUEdEKSdBl6+0MwiKjyzd/
npK1HgepXqN2HPAyFIxBDoqUEjvFv90sU5oi9nH5AvAflriVaFcN/sp+zLPIB0dPl+71QWj0Dwty
Ws3GwShyahzkytczJio545jPiYBj0SHNueZrvhPie5sSKuptF5LbxwDg9/HlTA==
-----END CERTIFICATE-----
JBoss AMQ( 21530) is started successfully
Started JBoss AMQ cart

Waiting for your DNS name to be available ... done


Note You need to log in before you can comment on or make changes to this bug.